use crate::auth_window::{SamlAuthData, AuthWindow};
use gpcommon::portal::Portal;

pub async fn saml_auth(portal: &Portal, saml_request: Option<&str>) -> anyhow::Result<SamlAuthData> {
    let user_agent = "PAN GlobalProtect";
    let mut auth_window = AuthWindow::new(portal.clone(), user_agent)?;

    auth_window.run(saml_request).await
}
