#[derive(thiserror::Error, Debug)]
#[non_exhaustive]
pub(crate) enum Error {
    #[error("Failed to encrypt data. {0}")]
    Encrypt(String),
    #[error("Failed to decrypt data. {0}")]
    Decrypt(String),
    #[error(transparent)]
    Other(#[from] anyhow::Error),
}
